public interface Sortable
{
   @SafeVarargs
   public static <E extends Comparable<E>> void sortAZ(E... elements)
   {
      sort("AZ", elements);
   }

   @SafeVarargs
   public static <E extends Comparable<E>> void sortZA(E... elements)
   {
      sort("ZA", elements);
   }

   @SafeVarargs
   private static <E extends Comparable<E>> void sort(String order, 
                                                      E... elements)
   {
      if (order == "AZ")
      {
         for (int pass = 0; pass < elements.length - 1; pass++)
            for (int i = elements.length - 1; i > pass; i--)
               if (elements[i].compareTo(elements[pass]) < 0)
               {
                  E temp = elements[i];
                  elements[i] = elements[pass];
                  elements[pass] = temp;
               }
      }
      else
      {
         for (int pass = 0; pass < elements.length - 1; pass++)
            for (int i = elements.length - 1; i > pass; i--)
               if (elements[i].compareTo(elements[pass]) > 0)
               {
                  E temp = elements[i];
                  elements[i] = elements[pass];
                  elements[pass] = temp;
               }
      }
   }
}