public class SortableDemo
{
   static String[] directions = { "North", "South", "East", "West" };

   static class Employee implements Comparable<Employee>
   {
      private String name;

      Employee(String name)
      { 
         this.name = name;
      }

      @Override 
      public int compareTo(Employee e)
      {
         return name.compareTo(e.name);
      }

      @Override
      public String toString()
      {
         return name;
      }
   }

   static Employee[] employees = 
   { 
      new Employee("C"),
      new Employee("A"),
      new Employee("B")
   };

   public static void main(String[] args)
   {
      Sortable.sortAZ(directions);
      for (String direction: directions)
         System.out.println(direction);
      System.out.println();

      Sortable.sortZA(directions);
      for (String direction: directions)
         System.out.println(direction);
      System.out.println();

      Sortable.sortZA(employees);
      for (Employee employee: employees)
         System.out.println(employee);
   }
}